TechDraw LeaderLine

From FreeCAD Documentation
Jump to: navigation, search
Other languages:
English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Previous: TechDraw Tree Page Sync.png Redraw

Techdraw-mline.svg TechDraw LeaderLine

Menu location
TechDraw → LeaderLine
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Templates, Draft SVG, RichTextBlock


Description

The LeaderLine tool adds a line to a View. Other annotation objects (such as RichTextBlock) can be connected to the LeaderLine to form complex annotations.

TechDraw LeaderLine sample.png

Leader line added to View001


How to use

  1. Press the Techdraw-mline.svg LeaderLine button
  2. A Task dialog will open. The dialog allows drawing of the leader line and assigning end symbols to the line.
  3. The Pick points button starts a line drawing function. Line drawing always starts at the point the line is to be attached to the View.
  4. Click to add a point, move the mouse to draw a line segment.
  5. To exit the line editor, press the Save changes button.
  6. To exit the line editor without saving, press the Discard changes button.
  7. After the line is created, it can be edited by double clicking the LeaderLine in the Tree.

Properties

  • DATAX,Y: The point at which the leader line is connected to the View.
  • DATALeader Parent: The View to which the leader is attached.
  • DATAStart Symbol: The line end symbol (arrowhead) at the View end.
  • DATAEnd Symbol: The line end symbol at the other end.
  • DATAWayPoints: Nodes on the leader line.
  • DATAScalable: Leader scales with Leader Parent.
  • VIEWColor: Pen colour for the leader line.
  • VIEWLine Style: 0 - No Line, 1 - Solid Line, ...
  • VIEWLine Width: Weight of leader line.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The LeaderLine tool can be used in macros and from the Python console by using the following functions:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5


Notes

  • This feature was added in v0.19
  • You can edit your LeaderLine by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported.
  • The leader line can be edited by pressing "Edit points" while in edit mode. To exit point editing: press "Save changes" or "Discard changes".
Arrow-left.svg Previous: TechDraw Tree Page Sync.png Redraw